# DataExchange
TKIGES
IGESData

# IGESData_DefaultGeneral Class Reference

Processes the specific case of UndefinedEntity from IGESData
(Case Number 1)
.

`#include <IGESData_DefaultGeneral.hxx>`

Inheritance diagram for IGESData_DefaultGeneral:

[legend]

## Public Member Functions

Standard_EXPORT | IGESData_DefaultGeneral ()
| Creates a DefaultGeneral and puts it into GeneralLib, bound with a Protocol from IGESData .
Standard_EXPORT void | OwnSharedCase (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent, Interface_EntityIterator &iter) const
| Lists the Entities shared by an IGESEntity, which must be an UndefinedEntity .
Standard_EXPORT IGESData_DirChecker | DirChecker (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent) const
| Returns a DirChecker, specific for each type of Entity Here, Returns an empty DirChecker (no constraint to check) .
Standard_EXPORT void | OwnCheckCase (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent, const Interface_ShareTool &shares, Handle(Interface_Check)&ach) const
| Performs Specific Semantic Check for each type of Entity Here, does nothing (no constraint to check) .
Standard_EXPORT Standard_Boolean | NewVoid (const Standard_Integer CN, Handle(Standard_Transient)&entto) const
| Specific creation of a new void entity (UndefinedEntity only) .
Standard_EXPORT void | OwnCopyCase (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&entfrom, const Handle(IGESData_IGESEntity)&entto, Interface_CopyTool &TC) const
| Copies parameters which are specific of each Type of Entity .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_DefaultGeneral::IGESData_DefaultGeneral | ( |  | ) |

## Member Function Documentation

Standard_EXPORT IGESData_DirChecker IGESData_DefaultGeneral::DirChecker | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent
| ) | const`[virtual]`

| Implements IGESData_GeneralModule.

Standard_EXPORT const IGESData_DefaultGeneral::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_GeneralModule.

Standard_EXPORT Standard_Boolean IGESData_DefaultGeneral::NewVoid | ( | const Standard_Integer | CN,
|  | Handle(Standard_Transient)& | entto
| ) | const`[virtual]`

| Implements IGESData_GeneralModule.

Standard_EXPORT void IGESData_DefaultGeneral::OwnCheckCase | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle(Interface_Check)& | ach
| ) | const`[virtual]`

| Implements IGESData_GeneralModule.

Standard_EXPORT void IGESData_DefaultGeneral::OwnCopyCase | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | entfrom,
|  | const Handle(IGESData_IGESEntity)& | entto,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESData_GeneralModule.

Standard_EXPORT void IGESData_DefaultGeneral::OwnSharedCase | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const`[virtual]`

| Implements IGESData_GeneralModule.

The documentation for this class was generated from the following file:

- IGESData_DefaultGeneral.hxx